> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# 可灵视频 Omni-Video（O1）

可灵 o1 ，是全球首个多模态的视频模型，产品继承Multi-modal visual language（MVL）理念，以自然语言作为骨架，配合视频、图片、主体等多模态描述，精准理解你的意图，操作更直观，创作更高校。
在影视创作，创意广告，时尚穿搭，视频后期等场景下具有广泛运用。

### 模型参数

* 模型ID：`kling-video-o1`
* 模型价格：你可以在[模型广场](https://geekai.co/models?platform=kling\&type=video)查看最新价格信息
* 调用入口：`https://geekai.co/api/v1/videos/generations`
* 模型参数：参考[视频 API 手册](https://docs.geekai.co/cn/api/video/generations)
* API认证：[获取 API KEY](https://docs.geekai.co/cn/docs/quick_start)

<Note>
  不支持视频 API 中的以下参数：

  * `negative_prompt`
  * `with_audio`
  * `size`
  * `fps`

  附：[可灵视频 Omni-Video（O1） 官方 API 文档](https://app.klingai.com/cn/dev/document-api/apiReference/model/OmniVideo)
</Note>

支持传入图片 Base64 编码，在对应的image、image\_tail参数中传入即可。

`aspect_ratio` 可选值:

* 16:9
* 1:1
* 9:16

可灵视频  kling-video-o1 的 `duration` 参数支持生成 3-10s 的视频，默认值是 5s

支持通过 `quality` 参数替代官方的 `mode` 参数来控制生成视频的分辨率，`quality` 的取值范围是 `std`（对应 `720p`） 和 `pro`（对应 `1080p`），默认值是 `std`，不同质量的视频生成时间和成本不同。

支持通过 `watermark` 参数替代官方的 `watermark_info` 参数来控制生成视频是否带有水印，`watermark` 的取值范围是 `true` 和 `false`，默认值是 `false`。

支持通过 `extra_body` 传递额外参数来设置视频分镜、参考主体和视频：

* `multi_shot`： 控制是否开启分镜，取值范围是 `true` 和 `false`，默认值是 `false`，开启多镜头模式后，可以通过 `shot_type` 参数来指定分镜类型。
* `shot_type`： 指定分镜类型，取值仅支持 `customize`，代表自定义分镜， 当 `multi_shot` 为 `true` 时本参数必填。
* `multi_prompt`： 描述每个分镜的信息，如提示词、时长等，当 `multi_shot` 为 `true` 且 `shot_type` 为 `customize` 时，本参数必填。
* `element_list`： 参考主体列表，基于主体库中主体的 ID 配置，最多支持3个。
* `image_list`： 参考图片列表，包括主体、场景、风格等参考图片，也可作为首帧或尾帧生成视频。
* `video_list`:  参考视频列表，可作为特征参考视频，也可作为待编辑视频，默认为待编辑视频。

### 文生视频

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "kling-video-o1",
    "prompt": "一只小猫开心的玩毛线球",
    "quality": "std",
    "aspect_ratio": "16:9",
    "duration": 5
}'
```

响应是一个 JSON 对象，包含生成视频的 URL：

```json theme={null}
{
    "model": "kling-video-o1",
    "task_id": "b2ab93bf-dbde-49d5-a6e6-dc5665276ce3",
    "task_status": "succeed",
    "video_result": [
        {
            "id": "856171451312410716",
            "url": "https://static.geekai.co/video/2026/02/27/6bfaac882515946ddb29fad95b31eaf7.mp4"
        }
    ]
}
```

图生视频生成响应结构是一样的，不再列举。

### 首尾帧

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "kling-video-o1",
    "prompt": "镜头拉远，女生微笑",
    "image": "https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/multi-2.png",
    "image_tail": "https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/multi-1.png",
    "quality": "pro",
    "duration": 5
}'
```

### 参考图

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "kling-video-o1",
    "prompt": "让<<<image_1>>>中的人物向镜头挥手",
    "quality": "std",
    "aspect_ratio": "16:9",
    "duration": 5,
    "extra_body": {
        "image_list": [
            {
            "image_url": "https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/multi-1.png"
            }
        ]
    }
}'
```

### 视频参考

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "kling-video-o1",
    "prompt": "删除<<<video_1>>>中道路两侧的路人，保留马车",
    "quality": "pro",
    "duration": 5,
    "extra_body": {
        "video_list": [
            {
                "video_url":"https://p2-kling.klingai.com/kcdn/cdn-kcdn112452/kling-qa-test/omni/ov-del.mp4",
                "refer_type":"base",
                "keep_original_sound":"yes"
            }
        ]
    }
}'
```

### 主体参考

```bash theme={null}
curl --location --request POST 'https://geekai.co/api/v1/videos/generations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $GEEKAI_API_KEY' \
--data '{
    "model": "kling-video-o1",
    "prompt": "<<<element_1>>>走过来笑着打招呼",
    "quality": "pro",
    "duration": 5,
    "aspect_ratio": "1:1",
    "extra_body": {
        "element_list": [
            {
                "element_id": "856189775194779667"
            }
        ]
    }
}'
```

如果想要异步创建视频获取生成结果请参考[可灵视频3.0示例](https://docs.geekai.co/cn/docs/video/kling/kling-v3),流程完全一样
